"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModalHeader = exports.ModalFooter = exports.ModalDialog = exports.ModalContent = exports.ModalBody = void 0;
const react_1 = __importStar(require("react"));
const s = __importStar(require("../styles"));
const utilities_1 = require("../utilities");
const ModalBody = ({ children }) => {
    return (react_1.default.createElement("div", { style: s.ModalBody }, children));
};
exports.ModalBody = ModalBody;
const ModalContent = ({ children }) => {
    return (react_1.default.createElement("div", { style: s.ModalContent }, children));
};
exports.ModalContent = ModalContent;
const ModalDialog = ({ children }) => {
    const [style, setStyle] = (0, react_1.useState)(s.ModalDialog);
    const width = (0, utilities_1.useMedia)(['(min-width: 576px)'], [1], 0);
    (0, react_1.useEffect)(() => {
        if (width === 0)
            setStyle({
                ...s.ModalDialog,
                width: '100%',
                margin: '.75rem'
            });
        else
            setStyle({
                ...s.ModalDialog,
                width: '500px'
            });
    }, [width]);
    return (react_1.default.createElement("div", { style: style }, children));
};
exports.ModalDialog = ModalDialog;
const ModalFooter = ({ children }) => {
    return (react_1.default.createElement("div", { style: s.ModalFooter }, children));
};
exports.ModalFooter = ModalFooter;
const ModalHeader = ({ children }) => {
    return (react_1.default.createElement("div", { style: s.ModalHeader }, children));
};
exports.ModalHeader = ModalHeader;
//# sourceMappingURL=modals.js.map